Bug 108824 - Slide Shows Settings not Saved
Summary: Slide Shows Settings not Saved
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium trivial
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1
Keywords:
Depends on:
Blocks: Slide-Show
  Show dependency treegraph
 
Reported: 2017-06-27 22:35 UTC by Hiroshi Nishida
Modified: 2017-07-20 20:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroshi Nishida 2017-06-27 22:35:39 UTC
In a dialog Slide Show - Slide Show Settings, checking "Mouse pointer visible" is not saved.
It's always turned off after restart.
Comment 1 Xisco Faulí 2017-06-28 15:43:59 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: 08f6f9dded1b142b858c455da03319abac691655
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 Commit Notification 2017-07-14 08:50:18 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=efbf75b844f73d25414da3136aeeecafa40c47d1

tdf#108824 Save "Mouse pointer visible" property

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-07-14 14:16:34 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89f6c41abffd2885b7083ab0ef94da89c8b2c770&h=libreoffice-5-4

tdf#108824 Save "Mouse pointer visible" property

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Samuel Mehrbrodt (CIB) 2017-07-18 15:39:25 UTC
Comments from Michael Stahl:

ODF 1.2 part 1 says:

19.400 presentation:mouse-visible
The presentation:mouse-visible attribute specifies whether a mouse pointer is visible during a presentation.
The defined values for the presentation:mouse-visible attribute are:
false: mouse not visible during presentation.
true: mouse visible during presentation.
The default value for this attribute is true.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

so apparently, the import for this attribute is doing it wrong, and should initialize the setting to "true" if there is no attribute.

if we don't export a "false" value we are no longer interoperable with other implementations whose authors actually read the ODF spec.

however, it still makes sense to also write "true" values, so that all the LO versions that have this wrong default on import bug use the explicit "true" value.

in summary, fix the import, and always export this attribute.

actually "fix the import" is a bit more involved: an old LO version omitting the attribute means "false" apparently, so the import probably should check the generator, which requires a new constant SvXMLImport::LO_53x...
Comment 5 Commit Notification 2017-07-19 20:51:09 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58ccac44f7df4273db31e4bbe9043bfb4af4d08a

tdf#108824 Honor ODF default for "Mouse pointer visible" property

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-07-20 20:04:34 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1afdfa15ec0410a735fd7e969219bd6cc1f33dd&h=libreoffice-5-4

Revert "tdf#108824 Save "Mouse pointer visible" property"

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.